# $Revision: 1.20 $, $Date: 2010/07/08 08:10:44 $

%define 	module	fpconst

Summary:	IEEE 754 floating point special handling
Summary(pl.UTF-8):	Specjalna obsługa liczb zmiennoprzecinkowych IEEE 754
Name:		python-%{module}
Version:	0.7.2
Release:	4
License:	Apache v2.0
Group:		Libraries/Python
Source0:	http://cheeseshop.python.org/packages/source/f/fpconst/fpconst-%{version}.tar.gz
# Source0-md5:	10ba9e04129af23108d24c22c3a698b1
URL:		http://research.warnes.net/projects/RStatServer/fpconst/index_html
BuildRequires:	python >= 1:2.5
%pyrequires_eq	python-modules
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This python module implements constants and functions for working with
IEEE 754 double-precision special values. It provides constants for
Not-a-Number (NaN), Positive Infinity (Inf), and Negative Infinity
(-Inf), as well as functions to test for these values.

%description -l pl.UTF-8
Ten moduł Pythona jest implementacją stałych i funkcji do pracy z
wartościami specjalnymi liczb podwójnej precyzji zgodnymi z IEEE 754.
Udostępnia stałe dla nie-liczb (NaN, czyli Not-a-Number), dodatniej
nieskończoności (Inf) i ujemnej nieskończoności (-Inf), a także
funkcje do porównywania z tymi wartościami.

%prep
%setup -q -n %{module}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}

python setup.py install \
	--root=$RPM_BUILD_ROOT \
	--optimize=2

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitescriptdir}/*.py[co]
%{py_sitescriptdir}/*.egg-info

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-fpconst.spec,v $
Revision 1.20  2010/07/08 08:10:44  arekm
- release 4

Revision 1.19  2008/10/03 17:49:49  arekm
- release 3

Revision 1.18  2008/07/27 23:00:51  arekm
- release 2

Revision 1.17  2008-03-05 14:59:23  glen
- unify apache license

Revision 1.16  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.15  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.14  2006/10/08 20:19:34  qboosh
- python 2.5 is required for .egg-info

Revision 1.13  2006/09/29 10:55:05  wiget
- updated to 0.7.2

Revision 1.12  2006/09/04 20:48:41  wiget
- rel. 5 (rebuild with python 2.5)

Revision 1.11  2005/01/09 17:56:43  saq
- missing BR & pyreqeq, rel 4

Revision 1.10  2004/12/24 22:39:39  arekm
- rel 3

Revision 1.9  2004/11/02 16:40:07  undefine
- release 2 for AC

Revision 1.8  2004/11/02 16:34:36  undefine
- update to 0.7.0

Revision 1.7  2004/10/31 20:54:09  paladine
- spaces->tabs
- formatting

Revision 1.6  2004/07/28 08:03:15  troll
- removed %include /usr/lib/rpm/macros.python

Revision 1.5  2004/05/26 21:15:22  ankry
- capitalization, tabs, other cosmetics

Revision 1.4  2004/01/19 12:37:54  jajcus
- Release: 3
- new architecture-independent python modules paths
- BA: noarch

Revision 1.3  2003/12/01 23:45:48  matkor
- Release 2. Ac rebuild with changed Pythons ABI.

Revision 1.2  2003/11/03 22:44:47  qboosh
- pl

Revision 1.1  2003/11/03 00:42:59  arekm
- initial pld relase
